"use strict";

this.author      = "cim"; 
this.copyright   = "2011-2015 cim."; 
this.licence = "CC-BY-SA 3.0"; 
this.name      = "RRS Rescue Station";
this.description = "Rescue Station script";

//removed launch port workaround -spara-

this.lighttime = 0;
this.lighttimer = undefined;

this.missionLaunch = function() {
		var arafura = this.ship.launchShipWithRole("rrs-arafura");
		if (Math.random() < 0.5) {
// go for planet or hyperspace out at random
				arafura.switchAI("exitingTraderAI.plist");
		}
}

this.otherShipDocked = function(whom) {
		this.lighttime = clock.seconds;
}

this.checkLights = function checkLights() {
		if (this.lighttime + 10 > clock.seconds) {
				if (this.lighttimer && this.lighttimer.isRunning) this.lighttimer.stop();
				this.lighttimer = new Timer(this,this.checkLights,10);
				return;
		}
		if (player.dockingClearanceStatus != "DOCKING_CLEARANCE_STATUS_NONE") {
				if (this.lighttimer && this.lighttimer.isRunning) this.lighttimer.stop();
				this.lighttimer = new Timer(this,this.checkLights,10);
				return;
		}
		// then no-one has launched or docked recently, and the player
		// isn't waiting, and we only get this far if there's nothing in
		// the queue
		this.ship.reactToAIMessage("DOCKING_LIGHTS_OFF");
}

this.shipDied = function(whom, why) {
	if (this.lighttimer && this.lighttimer.isRunning) this.lighttimer.stop()
}

this.shipRemoved = function(suppress) {
	if (this.lighttimer && this.lighttimer.isRunning) this.lighttimer.stop()
}
